popGrowl v1.3
=============

Viewport-location based Mac OS X 'Growl' notification stream.

**Demo:** http://www.cloud-eight.com/github/pop-growl/


Usage
=====

Link both the 'pop-growl.css' and 'pop-growl.js' files in your document.

With popGrowl you can house multiple containers within your viewport.
It will only ever create one instance of a container element that is specified by the 'id' option and all notifications will be nested within it.

Also note that when the last notification is removed from the container, the container will remain in the document.

```
$('body').popGrowl({
  id: 'pop-growl-container',
  vPosition: 'top',
  hPosition: 'right',
  type: 'default',
  title: null,
  text: null,
  html: null,
  sticky: false,
  duration: 4000,
  easing: 'easeOutQuart',
  speed: 600,
  pauseOnHover: true,
  callbackInit: function() {},
  callbackAdd: function() {},
  callbackClick: function() {},
  callbackRemove: function() {}
});
```


Options
=======

| Options        | Default               | Description |
|:---------------|:----------------------|:------------|
| id             | 'pop-growl-container' | A unique identifier for the container you want the notification to appear in. |
| vPosition      | 'top'                 | Used to set the vertical position of the container, `top` or `bottom` are accepted. |
| hPosition      | 'right'               | Used to set the horizontal position of the container, `left` or `right` are accepted. |
| type           | 'default'             | Applies a specific CSS class to the notification which allows it to be styled accordingly, `default`, `success`, `warning` or `error` are accepted. |
| title          | null                  | Sets the title for this notification. |
| text           | null                  | Sets the text/message for this notification. |
| html           | null                  | Inserts HTML directly into the notification, it also overwrites any title or text set in this call. |
| sticky         | false                 | By default notifications will be removed after the time specified using the `duration` option. If this is `true` the notification will stay visible until clicked. |
| duration       | 4000                  | The amount of time the notification is displayed for. |
| easing         | 'easeOutQuart'        | The style of easing used to slide the notifications to their positions. Requires jQuery UI, if jQuery UI isn't loaded animations will animate in a linear style. |
| speed          | 600                   | The speed at which the notification is displayed and removed from the element. |
| pauseOnHover   | true                  | When set to `true`, it momentarily stops the duration countdown of the display time of the notification and continues to countdown when the mouse leaves the notification. |
| callbackInit   | function() {}         | Calls a JavaScript function when popGrowl is initiated. |
| callbackAdd    | function() {}         | Calls a JavaScript function when a notification is added. |
| callbackClick  | function() {}         | Calls a JavaScript function when a notification is clicked. |
| callbackRemove | function() {}         | Calls a JavaScript function when a notification is removed. |


Browser Compatibility
=====================

<ul>
	<li>IE 8+</li>
	<li>Firefox</li>
	<li>Chrome</li>
	<li>Safari</li>
	<li>Opera</li>
	<li>Most mobile browsers</li>
</ul>


Author
======

Joe Mottershaw, Cloud Eight<br />
http://www.cloud-eight.com